# STEPConstruct_Part.hxx File Reference

`#include <Standard_Boolean.hxx>`
`#include <Handle_StepShape_ShapeDefinitionRepresentation.hxx>`
`#include <Handle_StepBasic_ProductRelatedProductCategory.hxx>`
`#include <Handle_StepShape_ShapeRepresentation.hxx>`
`#include <Handle_TCollection_HAsciiString.hxx>`
`#include <Handle_StepBasic_ApplicationContext.hxx>`
`#include <Handle_StepBasic_ProductContext.hxx>`
`#include <Handle_StepBasic_ProductDefinitionContext.hxx>`
`#include <Handle_StepBasic_Product.hxx>`
`#include <Handle_StepBasic_ProductDefinitionFormation.hxx>`
`#include <Handle_StepBasic_ProductDefinition.hxx>`
`#include <Handle_StepRepr_ProductDefinitionShape.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`